# ValheimAdditions
Valheim Additions is a small mod designed to add some missing pieces to help fill gaps in the Valheim ecosystem. Hopefully this mod helps fill that gaps for others too.

This mod is balanced to be mostly lore friendly with a preference for fun and enjoyable scaling and mechanics.


Disclaimer:
- This is my first Unity, and Valhiem mod
- I'm not a gamedev, I suck at textures, modeling and don't know the unity loaders

## Installation (Automatic)
Just download with your favorite modmanager!

## Installation (manual)
Toss the ValheimAdditions folder and files into your plugins folder. Technically the only thing required is the ValheimAdditions.ddl, configs will generate on first run.

## Whats included
---

<a href="https://imgur.com/XUrhrP5"><img src="https://i.imgur.com/XUrhrP5.png" title="VA gallery source: imgur.com" /></a>


## Features

Config options for enabling/disabling and tuning of all following added items.


| Name | Crafted At | Stage |
| ----------- | ----------- | ----------- |
| Blackmetal arrow | Forge | Plains |
| Surtling Core Arrow | Workbench | Mountains |
| Bone arrow | Workbench | Meadows |
| Ancient Arrow | Workbench | Swamp |
| Chitin Arrow | Workbench | Black Forest |
| Wood Bolt | Artisan | Post-Mountain |
| Bronze Crossbow | Artisan | Post-Mountain |
| Abyssal Sword | Forge | Black Forest |
| Serpent Scale Buckler | Forge | Swamp |
| Royal Abyssal Atgeir | Forge | Mountain |
| Antler Atgeir | Workbench | Meadows |

Also adds one upgrade to the Artisan table.

---
## Currently in-progress
* Hammer

## Future Plans
* Chitin Shield
* named Mace

---

## Changelog
**0.6.0**
```
- Added Antler Adgeir
- Added Artisan table upgrade
- Config overhaul! Please delete your configs, values are now in advanced settings if you are viewing through BepinEx Config viewer
- Jotun upgrade to 2.10.3
```

**0.5.10**
```
- Added Royal Abyssal Atgeir
- Added Chitin Arrow
```

**0.4.10**
```
- More shader fixes
```

**0.4.9**
```
- Added Bronze Crossbow
- Added Wood Bolt
- Added Ancientwood Arrows
- Removed WIP 2h Hammer
- Fixed Shield not parrying properly
```

**0.3.9**
```
- Removed mmhook references that are no longer chain included or used
```

**0.3.8**
```
- Validated mistlands support!
- Added Config values for all weapons
```

**0.3.7**
```
- Added Surtling core arrow
```

**0.3.6**
```
 - Added Serpent scale shield
 - Updated Jotunn to 2.10
 ```

**0.2.6**
```
 - Added server sided configuration to enable items/recipes
 - Rebalanced Arrows to be more in line with current vanilla costs
 - Updated Jotunn
 ```

**0.1.5**
```
 - Fixed Greenmetal Arrows for H&H Update
 ```

**0.1.4**
```
 - Added a Chitin Sword
 - Slightly reduced the cost of the Blackmetal arrows (only 1 metal now).
 ```

**0.0.3**
```
 - Updated Jotunn, made the blackmetal arrow more green!
 ```

**0.0.2**
```
 - Fixed shader not set for dust particles during arrow shots.
```

**0.0.1**
```
 - Added blackmetal arrow, minimal asset modification.
```

## Issues
Please report any issues you encounter on the [github issue tracker](https://github.com/MidnightsFX/Valheim_Additions/issues)

## Credits
* [Sword Model](https://assetstore.unity.com/packages/3d/props/weapons/free-low-poly-swords-rpg-weapons-198166)
* Jotun community for answering some silly questions :)
